Activity log for bug #665796

Date Who What changed Old value New value Message
2010-10-24 06:50:54 Juliano Ravasi bug added bug
2010-10-29 21:01:52 Juliano Ravasi description Since upgrading to Maverick, I'm frequently observing instances of the timer interrupts suddenly stopping being processed (or even produced?) for a few minutes. The system becomes sluggish as a whole, all CPU cores go high on Sys% usage. This continues for 3-5 minutes, then suddenly goes back to normal, just like how it started. It is certainly related to the timer interrupt: If I continuously 'cat /proc/interrupts' (or just run it under 'watch') during the time the system is affected, interrupt 0 (IR-IO-APIC-edge timer) stays frozen until the problem goes away. No messages appear on dmesg or in /var/log/kern.log. The problem always starts at random, with no particular cause, but it seems more frequent when making heavy use of both sound and graphics at the same time. It is very common to happen when I start playing some game on Wine. It seems to also vanish at random after 3-5 minutes have passed, but zapping the X server seems to a way to restore the normal behaviour (it happened twice until now, I need more tests to confirm). I don't know what more I can say about this issue, but feel free to ask; I'm willing to provide as much information as possible to have this fixed. ProblemType: Bug DistroRelease: Ubuntu 10.10 Package: linux-image-2.6.35-22-generic 2.6.35-22.35 Regression: Yes Reproducible: No ProcVersionSignature: Ubuntu 2.6.35-22.35-generic 2.6.35.4 Uname: Linux 2.6.35-22-generic x86_64 NonfreeKernelModules: nvidia AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23. Architecture: amd64 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: juliano 2781 F.... kmix CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xf0000000 irq 22' Mixer name : 'Realtek ALC889' Components : 'HDA:10ec0889,80860022,00100004' Controls : 42 Simple ctrls : 24 Date: Sun Oct 24 04:25:13 2010 Frequency: I don't know. HibernationDevice: RESUME=UUID=4f433bf6-748e-432d-b93f-de4d0e693b91 InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101008) ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=/dev/mapper/Nagisa1-Root ro rootdelay=5 ProcEnviron: LANGUAGE= PATH=(custom, user) LANG=en_US.UTF-8 SHELL=/bin/zsh RelatedPackageVersions: linux-firmware 1.38 RfKill: SourcePackage: linux UserAsoundrc: #pcm.!default plug:hw:0 #ctl.!default hw:0 dmi.bios.date: 08/30/2010 dmi.bios.vendor: Intel Corp. dmi.bios.version: SOX5810J.86A.5456.2010.0830.0013 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: DX58SO dmi.board.vendor: Intel Corporation dmi.board.version: AAE29331-703 dmi.chassis.type: 2 dmi.modalias: dmi:bvnIntelCorp.:bvrSOX5810J.86A.5456.2010.0830.0013:bd08/30/2010:svn:pn:pvr:rvnIntelCorporation:rnDX58SO:rvrAAE29331-703:cvn:ct2:cvr: Since upgrading to Maverick, I'm frequently observing instances of the timer interrupts suddenly stopping being processed (or even produced?) for a few minutes. The system becomes sluggish as a whole, all CPU cores go high on Sys% usage. This continues for 3-5 minutes, then suddenly goes back to normal, just like how it started. It is certainly related to the timer interrupt: If I continuously 'cat /proc/interrupts' (or just run it under 'watch') during the time the system is affected, interrupt 0 (IR-IO-APIC-edge timer) stays frozen until the problem goes away. No messages appear on dmesg or in /var/log/kern.log. The problem always starts at random, with no particular cause, but it seems more frequent when making heavy use of both sound and graphics at the same time. It is very common to happen when I start playing some game on Wine. It seems to also vanish at random after 3-5 minutes have passed, but zapping the X server seems to a way to restore the normal behaviour (it happened twice until now, I need more tests to confirm). The system is: Processor: Intel Core i7 930 (2.8 GHz, 4 cores × 2 threads) Mainboard: Intel DX58SO Extreme Memory: 6 GiB Storage: 3 × 1 TB Samsung HardDisks on a RAID 5 array, LVM on top. I don't know what more I can say about this issue, but feel free to ask; I'm willing to provide as much information as possible to have this fixed. ProblemType: Bug DistroRelease: Ubuntu 10.10 Package: linux-image-2.6.35-22-generic 2.6.35-22.35 Regression: Yes Reproducible: No ProcVersionSignature: Ubuntu 2.6.35-22.35-generic 2.6.35.4 Uname: Linux 2.6.35-22-generic x86_64 NonfreeKernelModules: nvidia AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23. Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: juliano 2781 F.... kmix CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'Intel'/'HDA Intel at 0xf0000000 irq 22'    Mixer name : 'Realtek ALC889'    Components : 'HDA:10ec0889,80860022,00100004'    Controls : 42    Simple ctrls : 24 Date: Sun Oct 24 04:25:13 2010 Frequency: I don't know. HibernationDevice: RESUME=UUID=4f433bf6-748e-432d-b93f-de4d0e693b91 InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101008) ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=/dev/mapper/Nagisa1-Root ro rootdelay=5 ProcEnviron:  LANGUAGE=  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/zsh RelatedPackageVersions: linux-firmware 1.38 RfKill: SourcePackage: linux UserAsoundrc:  #pcm.!default plug:hw:0  #ctl.!default hw:0 dmi.bios.date: 08/30/2010 dmi.bios.vendor: Intel Corp. dmi.bios.version: SOX5810J.86A.5456.2010.0830.0013 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: DX58SO dmi.board.vendor: Intel Corporation dmi.board.version: AAE29331-703 dmi.chassis.type: 2 dmi.modalias: dmi:bvnIntelCorp.:bvrSOX5810J.86A.5456.2010.0830.0013:bd08/30/2010:svn:pn:pvr:rvnIntelCorporation:rnDX58SO:rvrAAE29331-703:cvn:ct2:cvr:
2010-10-29 21:18:24 Juliano Ravasi description Since upgrading to Maverick, I'm frequently observing instances of the timer interrupts suddenly stopping being processed (or even produced?) for a few minutes. The system becomes sluggish as a whole, all CPU cores go high on Sys% usage. This continues for 3-5 minutes, then suddenly goes back to normal, just like how it started. It is certainly related to the timer interrupt: If I continuously 'cat /proc/interrupts' (or just run it under 'watch') during the time the system is affected, interrupt 0 (IR-IO-APIC-edge timer) stays frozen until the problem goes away. No messages appear on dmesg or in /var/log/kern.log. The problem always starts at random, with no particular cause, but it seems more frequent when making heavy use of both sound and graphics at the same time. It is very common to happen when I start playing some game on Wine. It seems to also vanish at random after 3-5 minutes have passed, but zapping the X server seems to a way to restore the normal behaviour (it happened twice until now, I need more tests to confirm). The system is: Processor: Intel Core i7 930 (2.8 GHz, 4 cores × 2 threads) Mainboard: Intel DX58SO Extreme Memory: 6 GiB Storage: 3 × 1 TB Samsung HardDisks on a RAID 5 array, LVM on top. I don't know what more I can say about this issue, but feel free to ask; I'm willing to provide as much information as possible to have this fixed. ProblemType: Bug DistroRelease: Ubuntu 10.10 Package: linux-image-2.6.35-22-generic 2.6.35-22.35 Regression: Yes Reproducible: No ProcVersionSignature: Ubuntu 2.6.35-22.35-generic 2.6.35.4 Uname: Linux 2.6.35-22-generic x86_64 NonfreeKernelModules: nvidia AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23. Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: juliano 2781 F.... kmix CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'Intel'/'HDA Intel at 0xf0000000 irq 22'    Mixer name : 'Realtek ALC889'    Components : 'HDA:10ec0889,80860022,00100004'    Controls : 42    Simple ctrls : 24 Date: Sun Oct 24 04:25:13 2010 Frequency: I don't know. HibernationDevice: RESUME=UUID=4f433bf6-748e-432d-b93f-de4d0e693b91 InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101008) ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=/dev/mapper/Nagisa1-Root ro rootdelay=5 ProcEnviron:  LANGUAGE=  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/zsh RelatedPackageVersions: linux-firmware 1.38 RfKill: SourcePackage: linux UserAsoundrc:  #pcm.!default plug:hw:0  #ctl.!default hw:0 dmi.bios.date: 08/30/2010 dmi.bios.vendor: Intel Corp. dmi.bios.version: SOX5810J.86A.5456.2010.0830.0013 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: DX58SO dmi.board.vendor: Intel Corporation dmi.board.version: AAE29331-703 dmi.chassis.type: 2 dmi.modalias: dmi:bvnIntelCorp.:bvrSOX5810J.86A.5456.2010.0830.0013:bd08/30/2010:svn:pn:pvr:rvnIntelCorporation:rnDX58SO:rvrAAE29331-703:cvn:ct2:cvr: Since upgrading to Maverick, I'm frequently observing instances of the timer interrupts suddenly stopping being processed (or even produced?) for a few minutes. The system becomes sluggish as a whole, all CPU cores go high on Sys% usage. This continues for 3-5 minutes, then suddenly goes back to normal, just like how it started. It is certainly related to the timer interrupt: If I continuously 'cat /proc/interrupts' (or just run it under 'watch') during the time the system is affected, interrupt 0 (IR-IO-APIC-edge timer) stays frozen until the problem goes away. No messages appear on dmesg or in /var/log/kern.log. The problem always starts at random, with no particular cause, but it seems more frequent when making heavy use of both sound and graphics at the same time. It is very common to happen when I start playing some game on Wine. It seems to also vanish at random after 3-5 minutes have passed, but zapping the X server seems to a way to restore the normal behaviour (it happened twice until now, I need more tests to confirm). The system is:   Processor: Intel Core i7 930 (2.8 GHz, 4 cores × 2 threads)   Mainboard: Intel DX58SO Extreme   Memory: 6 GiB   Storage: 3 × 1 TB Samsung HardDisks on a RAID 5 array, LVM on top. Video: nVidia GTX 460 (with proprietary drivers) I don't know what more I can say about this issue, but feel free to ask; I'm willing to provide as much information as possible to have this fixed. ProblemType: Bug DistroRelease: Ubuntu 10.10 Package: linux-image-2.6.35-22-generic 2.6.35-22.35 Regression: Yes Reproducible: No ProcVersionSignature: Ubuntu 2.6.35-22.35-generic 2.6.35.4 Uname: Linux 2.6.35-22-generic x86_64 NonfreeKernelModules: nvidia AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23. Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: juliano 2781 F.... kmix CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'Intel'/'HDA Intel at 0xf0000000 irq 22'    Mixer name : 'Realtek ALC889'    Components : 'HDA:10ec0889,80860022,00100004'    Controls : 42    Simple ctrls : 24 Date: Sun Oct 24 04:25:13 2010 Frequency: I don't know. HibernationDevice: RESUME=UUID=4f433bf6-748e-432d-b93f-de4d0e693b91 InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101008) ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=/dev/mapper/Nagisa1-Root ro rootdelay=5 ProcEnviron:  LANGUAGE=  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/zsh RelatedPackageVersions: linux-firmware 1.38 RfKill: SourcePackage: linux UserAsoundrc:  #pcm.!default plug:hw:0  #ctl.!default hw:0 dmi.bios.date: 08/30/2010 dmi.bios.vendor: Intel Corp. dmi.bios.version: SOX5810J.86A.5456.2010.0830.0013 dmi.board.asset.tag: Base Board Asset Tag dmi.board.name: DX58SO dmi.board.vendor: Intel Corporation dmi.board.version: AAE29331-703 dmi.chassis.type: 2 dmi.modalias: dmi:bvnIntelCorp.:bvrSOX5810J.86A.5456.2010.0830.0013:bd08/30/2010:svn:pn:pvr:rvnIntelCorporation:rnDX58SO:rvrAAE29331-703:cvn:ct2:cvr:
2010-10-29 21:28:41 Adam Ziegler bug added subscriber Adam Ziegler
2010-11-11 03:24:23 dcecchin bug added subscriber Kalidarn
2010-11-11 18:53:05 Juliano Ravasi summary Timer interrupt freezes, system becomes sluggish Intel Core i7, nVidia proprietary - Timer interrupt freezes, system becomes sluggish
2010-11-17 00:18:48 dyna bug added subscriber dyna
2010-11-17 17:23:59 dyna bug watch added http://bugzilla.kernel.org/show_bug.cgi?id=8300
2010-11-19 09:34:56 Bruno bug added subscriber Bruno
2010-12-13 14:07:37 Toni Shocker bug added subscriber Toni Shocker
2010-12-13 15:52:24 Juliano Ravasi summary Intel Core i7, nVidia proprietary - Timer interrupt freezes, system becomes sluggish Intel Core i7 - Timer interrupt freezes, high CPU usage, system becomes sluggish
2011-01-23 07:32:11 Darryl Schultz bug added subscriber Darryl Schultz
2011-04-07 00:49:27 Brad Figg linux (Ubuntu): status New Confirmed
2011-05-24 14:41:07 Jeremy Foshee tags amd64 apport-bug kernel-fs maverick needs-upstream-testing regression-potential amd64 apport-bug kernel-fs maverick needs-upstream-testing
2012-06-10 11:10:41 Christopher M. Penalver linux (Ubuntu): status Confirmed Incomplete